Package org.eclipse.cdt.core.resources

# Enum Class ExclusionType

java.lang.Object
java.lang.Enum<ExclusionType>
org.eclipse.cdt.core.resources.ExclusionType

All Implemented Interfaces:
  `Serializable`, `Comparable<ExclusionType>`, `java.lang.constant.Constable`

public enum ExclusionType extends Enum<ExclusionType>
Indicates the type of resources that this exclusion can exclude. Used to determine which type of icon is displayed in the exclusion UI when this exclusion is present. EXPERIMENTAL. This class or interface has been added as part of a work in progress. There is no guarantee that this API will work or that it will remain the same. Please do not use this API without consulting with the CDT team.

Since:
  5.3

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FILE`
Constant indicating that this exclusion only excludes folders.
`FOLDER`
Constant indicating that this exclusion only excludes folders.
`RESOURCE`
Constant indicating that this exclusion can exclude any resource.

## Method Summary

Modifier and Type
Method
Description
`static ExclusionType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ExclusionType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FILE

public static final ExclusionType FILE
Constant indicating that this exclusion only excludes folders.

### FOLDER

public static final ExclusionType FOLDER
Constant indicating that this exclusion only excludes folders.

### RESOURCE

public static final ExclusionType RESOURCE
Constant indicating that this exclusion can exclude any resource.

## Method Details

### values

public static ExclusionType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ExclusionType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null